#ifndef DEF_CHARACTER

#define DEF_CHARACTER

#include "../Lever/Lever.h"

extern Lever* m_ActivableLever;

/**
 * Checks movement and actions inputs.
 */
void Character_CheckInput();

/**
 * Make character move.
 */
void Character_Move(Vector* _Translation);

/**
 * Checks if the Character can move.
 */
UINT8 Character_CanMove();

/**
 * Make character activate object nearby.
 */
void Character_ActivateLever();

/**
 * Checks if the Character can activate a lever.
 */
UINT8 Character_CanActivateLever();

#endif